Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.engine.gcv
Class JobParams

    java.lang.Object
      com.novell.nds.dirxml.engine.gcv.GCDefinitions
          com.novell.nds.dirxml.engine.gcv.JobParams

All Implemented Interfaces:
  ConfigElement

    public class JobParams

extends GCDefinitions

`JobParams` is an aggregation of `GCValue` objects. The difference between `JobParams` and its parent class `GCDefinitions` is that `JobParams` allows GCVs of type "password-ref" and type "dn-ref".

Methods are provided to parse an XML representation of Global Configuration Values and to serialize the contained collection of GCVs to an XML representation.

For user interface purposes the list of GCValue objects is ordered.

Nested Class Summary
`static interface` | `JobParams.ReferenceResolver` Interface for providing values for DN-reference items and named-password references in JobParams definitions.

Field Summary

Fields inherited from class com.novell.nds.dirxml.engine.gcv.GCDefinitions
`defsList`

Constructor Summary
`JobParams()` Construct an empty `JobParams` object.

Method Summary
`static JobParams` | `constructJobParams(byte[] bytes)` Construct a `JobParams` object and associated `GCValue` objects from an array of bytes containing the serialized XML representation.
`static JobParams` | `constructJobParams(Node parent)` Construct a `JobParams` object and association `GCValue` objects from a DOM XML document containing the XML representation.
`Map` | `toJobParamsMap(Map map, JobParams.ReferenceResolver refResolver)` Return a `Map` containing name-value pairs representing the GCV-style value in this `JobParams` instance.

Methods inherited from class com.novell.nds.dirxml.engine.gcv.GCDefinitions
`appendValue, apply, apply, checkAllowedType, construct, construct, construct, construct, construct, construct0, getValue, hasBeenModified, insertValue, insertValue, iterator, localize, merge, removeValue, removeValue, resetModified, shallowIterator, toBytes, toXml, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobParams

    public JobParams()

  Construct an empty `JobParams` object.

Method Detail

### constructJobParams

    public static JobParams constructJobParams(byte[] bytes)
                                        throws GCVException

  Construct a `JobParams` object and associated `GCValue` objects from an array of bytes containing the serialized XML representation.

  Parameters:
    `bytes` - byte array containing serialized XML.
  Throws:
    `GCVException` - thrown if XML is incorrect in any way.

### constructJobParams

    public static JobParams constructJobParams(Node parent)
                                        throws GCVException

  Construct a `JobParams` object and association `GCValue` objects from a DOM XML document containing the XML representation.

  Parameters:
    `parent` - DOM Node with child <configuration-values> element
  Throws:
    `GCVException` - thrown if XML is incorrect in any way.

### toJobParamsMap

    public Map toJobParamsMap(Map map,
                              JobParams.ReferenceResolver refResolver)

  Return a `Map` containing name-value pairs representing the GCV-style value in this `JobParams` instance.

  Parameters:
    `map` - `Map` to receive parameter name-value pairs.
    `refResolver` - object from which to obtain entry IDs for DN refs
  Returns:
    the first `Element` constructed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD